Bug 1431740

Summary: Review Request: golang-github-cznic-internal - Shared dependencies for other cznic Go libraries
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: Package ReviewAssignee: Athos Ribeiro <athoscribeiro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: athoscribeiro, package-review
Target Milestone: ---Flags: athoscribeiro: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-18 11:54:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1246526, 1431568, 1431587, 1431732    
Bug Blocks: 1431743, 1431745    

Description Fabio Valentini 2017-03-13 16:38:05 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-internal.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-internal-1.0.0-1.0.gite5e1c3e.fc25.src.rpm

Description: Shared dependencies for other cznic Go libraries

Fedora Account System Username: decathorpe


This package is one of the (indirect) dependencies of syncthing. I can't provide a koji scratch build yet, since it depends on golang-github-cznic-{mathutil,fileutil} and golang-github-edsrzf-mmap-go.

Comment 1 Fabio Valentini 2017-04-27 15:30:02 UTC
koji scratch build for rawhide, now all dependencies are available:
https://koji.fedoraproject.org/koji/taskinfo?taskID=19239126

Comment 2 Athos Ribeiro 2017-05-15 13:26:01 UTC
Hi Fabio,

I am taking this one!

- The release tag MUST include the date the snapshot was taken. Also, note that post-releases should not use x.y format in the tag. Please,  refer to [1] and [2] when changing the tag.

I will not block this review trusting you will perform necessary changes before uploading the package.

Package looks good. Approved!

[1] https://fedoraproject.org/wiki/Packaging:Versioning
[2] https://fedoraproject.org/wiki/Package_Versioning_Examples

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-cznic-internal-devel-1.0.0-1.0.gite5e1c3e.fc27.noarch.rpm
          golang-github-cznic-internal-unit-test-devel-1.0.0-1.0.gite5e1c3e.fc27.x86_64.rpm
          golang-github-cznic-internal-1.0.0-1.0.gite5e1c3e.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-cznic-internal-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-cznic-internal-devel

golang-github-cznic-internal-devel (rpmlib, GLIBC filtered):
    golang(github.com/cznic/fileutil)
    golang(github.com/cznic/mathutil)
    golang(github.com/edsrzf/mmap-go)



Provides
--------
golang-github-cznic-internal-unit-test-devel:
    golang-github-cznic-internal-unit-test-devel
    golang-github-cznic-internal-unit-test-devel(x86-64)

golang-github-cznic-internal-devel:
    golang(github.com/cznic/internal/buffer)
    golang(github.com/cznic/internal/file)
    golang(github.com/cznic/internal/slice)
    golang-github-cznic-internal-devel



Source checksums
----------------
https://github.com/cznic/internal/archive/e5e1c3e9165d0a72507c2bbb0ffac1c02b8d3f7c/cznic-internal-e5e1c3e.tar.gz :
  CHECKSUM(SHA256) this package     : 604a7a41d8a49cbd10d2c147bc6b3c32d4f6b661ac40098c188d9703b54ed383
  CHECKSUM(SHA256) upstream package : 604a7a41d8a49cbd10d2c147bc6b3c32d4f6b661ac40098c188d9703b54ed383

Comment 3 Fabio Valentini 2017-05-15 20:23:25 UTC
Thanks for the review!

I've fixed the issues you pointed out. Final versions for importing:

Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-internal.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-internal-1.0.0-1.20170124.gite5e1c3e.fc26.src.rpm

Comment 4 Gwyn Ciesla 2017-05-15 21:32:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-internal

Comment 5 Fabio Valentini 2017-05-15 22:38:51 UTC
The initial build for rawhide failed due to a test failure on s390. I suspect the issue is a race condition in the code (or in one of the tests). I reported the issue upstream at [1] and will try again to build the package once this has been resolved.

[1]: https://github.com/cznic/internal/issues/4

Comment 6 Fedora Update System 2017-05-16 14:59:06 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9dc7f81fa

Comment 7 Fedora Update System 2017-05-16 15:19:34 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a99112bea

Comment 8 Fedora Update System 2017-05-16 15:25:16 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16d772ae1b

Comment 9 Fedora Update System 2017-05-17 19:07:36 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e9dc7f81fa

Comment 10 Fedora Update System 2017-05-17 23:07:18 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16d772ae1b

Comment 11 Fedora Update System 2017-05-17 23:12:04 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a99112bea

Comment 12 Fedora Update System 2017-05-26 03:54:34 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-26 04:03:10 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-06-09 18:59:33 UTC
golang-github-cznic-internal-1.0.0-1.20170516.git6c349f9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.